Bug 1030638 - Increase Default Subscription Manager GUI Window Size
Summary: Increase Default Subscription Manager GUI Window Size
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2013-11-14 20:32 UTC by Matt Reid
Modified: 2014-10-14 07:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
no documentation required
Clone Of:
Environment:
Last Closed: 2014-10-14 07:46:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Before and After GUI size (808.05 KB, image/png)
2014-08-15 13:53 UTC, Sharath Dwaral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description Matt Reid 2013-11-14 20:32:23 UTC
Description of problem:
I'm not sure how we currently calculate the size that subscription-manager-gui should be when it opens, but on my vm it seems to be around 640x515. Since we aren't constrained by embedding the entire GUI into firstboot, I'd like to see us bump up the default window size to something a little larger. The subscription names we have to deal with end up being pretty wordy, and at our current default size you almost always end up with horizontal scrolling or window resizing to try and see everything.

Could we open an 800x600 window for subscription-manager-gui and only go smaller if their screen resolution wouldn't support it?

Additional info:

Comment 2 Chris Snyder 2014-07-08 14:00:19 UTC
Should be in as of commit: 97305ce9200b383139da682e9caa796936bddeab

Comment 4 Sharath Dwaral 2014-08-15 13:53:58 UTC
Created attachment 927113 [details]
Before and After GUI size

Version:

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.23-1
subscription management rules: 5.11
subscription-manager: 1.12.12-1.el6
python-rhsm: 1.12.5-1.el6

Verification:

Please see attachment.

The gui size has increased and there is reduced scrolling

VERIFIED

Comment 6 errata-xmlrpc 2014-10-14 07:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.